libextractor -- integer overflow

2007-08-05T00:00:00
ID DSA-1349
Type debian
Reporter Debian
Modified 2007-08-05T00:00:00

Description

It was discovered that an integer overflow in the xpdf PDF viewer may lead to the execution of arbitrary code if a malformed PDF file is opened.

libextractor includes a copy of the xpdf code and required an update as well.

For the oldstable distribution (sarge) this problem has been fixed in version 0.4.2-2sarge6.

The stable distribution (etch) isn't affected by this problem.

The unstable distribution (sid) isn't affected by this problem.

We recommend that you upgrade your libextractor packages.